Package com.sun.jna.platform.win32.COM.util

# Interface IDispatch

All Superinterfaces:
  `IUnknown`

All Known Implementing Classes:
  `ProxyObject`

public interface IDispatch extends IUnknown
Java friendly version of `IDispatch`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<T> T`
  `getProperty(Class<T> returnType, OaIdl.DISPID dispid, Object... args)`
  `<T> T`
  `getProperty(Class<T> returnType, String name, Object... args)`
  `<T> T`
  `invokeMethod(Class<T> returnType, OaIdl.DISPID dispid, Object... args)`
  `<T> T`
  `invokeMethod(Class<T> returnType, String name, Object... args)`
  `<T> void`
  `setProperty(OaIdl.DISPID dispid, T value)`
  `<T> void`
  `setProperty(String name, T value)`

  ### Methods inherited from interface com.sun.jna.platform.win32.COM.util.IUnknown

  `queryInterface`

- ## Method Details

  - ### setProperty

    <T> void setProperty(String name, T value)

  - ### getProperty

    <T> T getProperty(Class<T> returnType, String name, Object... args)

  - ### invokeMethod

    <T> T invokeMethod(Class<T> returnType, String name, Object... args)

  - ### setProperty

    <T> void setProperty(OaIdl.DISPID dispid, T value)

  - ### getProperty

    <T> T getProperty(Class<T> returnType, OaIdl.DISPID dispid, Object... args)

  - ### invokeMethod

    <T> T invokeMethod(Class<T> returnType, OaIdl.DISPID dispid, Object... args)